Outpost logoOutpost Docs

Get a project's stats overview

GET
/v1/stats/projects/{projectId}/overview

Get project-specific stats overview with all-time totals and chart-ready message/cost series

x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Path Parameters

projectId*string
Length1 <= length

Query Parameters

window?string
Default"DAY"

Value in

  • "HOUR"
  • "DAY"
  • "MONTH"
start*string
end*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/stats/projects/string/overview?start=string&end=string"
{  "projectId": "string",  "window": "HOUR",  "start": "string",  "end": "string",  "totals": {    "smsCount": 0,    "smsCost": 0,    "smsDeliveredCount": 0,    "smsFailedCount": 0,    "smsBlockedCount": 0,    "phoneCount": 0,    "validPhoneCount": 0,    "smsOptOutCount": 0,    "deliveryRate": 0  },  "series": [    {      "timestamp": "string",      "delivered": 0,      "failed": 0,      "blocked": 0,      "smsCost": 0    }  ]}